Página 1 de 2 12 ÚltimoÚltimo
+ Responder ao Tópico



  1. Bom dia a todos,


    Gostaria de saber se alguem já vivenciou esse problema, ou se pelo menos tenha idéia do que possa vir a ser.... quando eu tento compilar o kernel 2.6.23.9 no slack 12, com o patch o matic, iptables 1.38 e layer7 aparece a seguinte mensagem:

    net/ipv4/netfilter/ipt_psd.c: In function 'ipt_psd_match':
    net/ipv4/netfilter/ipt_psd.c:117: error: 'const struct sk_buff' has no member named 'nh'
    net/ipv4/netfilter/ipt_psd.c:177: warning: comparison of distinct pointer types lacks a cast
    net/ipv4/netfilter/ipt_psd.c:177: warning: comparison of distinct pointer types lacks a cast
    net/ipv4/netfilter/ipt_psd.c: At top level:
    net/ipv4/netfilter/ipt_psd.c:334: warning: initialization from incompatible pointer type
    net/ipv4/netfilter/ipt_psd.c:335: warning: initialization from incompatible pointer type
    net/ipv4/netfilter/ipt_psd.c: In function 'init':
    net/ipv4/netfilter/ipt_psd.c:340: error: implicit declaration of function 'ipt_register_match'
    net/ipv4/netfilter/ipt_psd.c: In function 'fini':
    net/ipv4/netfilter/ipt_psd.c:353: error: implicit declaration of function 'ipt_unregister_match'
    make[3]: *** [net/ipv4/netfilter/ipt_psd.o] Error 1
    make[2]: *** [net/ipv4/netfilter] Error 2
    make[1]: *** [net/ipv4] Error 2
    make: *** [net] Error 2

    eu estou tentando fazer esse procedimento seguindo esse tutorial:

    Linux: Compilando kernel com suporte a POM (path-omatic) e Layer7 no Debian e Slackware [Artigo]

  2. o layer 7 tem suporte apenas para até verção 2.6.23 do kernel, posteriores nao saiu nenhum update

    netfilter-layer7-v2.16
    kernel-2.6.22-2.6.23-layer7-2.16.patch



  3. Certo.... isso é algo q eu nao tinha notado mesmo....

    mas esse erro será q é referente a isso mesmo ???


    Vlw

  4. Boa tarde,

    Acabei de fazer o teste utilizando o source do kernel 2.6.23, mas mesmo assim nao deu certo.... ocorre o mesmo erro...

    o que será q pode ser hein ??



  5. desativa este modulo psd






Tópicos Similares

  1. erro ao compilar kernel no debian lenny
    Por leonardojrj no fórum Sistemas Operacionais
    Respostas: 10
    Último Post: 14-08-2010, 23:17
  2. Erro ao Compilar Kernel-2.6.21.6
    Por rodrigofsantos no fórum Sistemas Operacionais
    Respostas: 0
    Último Post: 16-10-2007, 08:52
  3. Erro ao compilar Kernel FreeBSD 6.2
    Por CEP no fórum Sistemas Operacionais
    Respostas: 1
    Último Post: 27-07-2007, 10:53
  4. Erro ao compilar kernel 2.6
    Por nikolas no fórum Servidores de Rede
    Respostas: 2
    Último Post: 02-06-2006, 08:21
  5. Erro ao compilar kernel 2.6.10 (Inconsistent Kallsyms data)
    Por gregorioenrico no fórum Servidores de Rede
    Respostas: 0
    Último Post: 09-01-2005, 00:38

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L